bookfilename = null;
cachedbookmeta = null;

init = function() {
    bookfilename = atob(getUrlVars()["bookurl"]);
    if (bookfilename.startsWith("file://")) {
        if (!fsExists(bookfilename.replace("file://", ""))) {
            throw {
                message: "File not found"
            };
        }
    }

    getBookMetadata(bookfilename.replace("file://", ""), true).then(function(meta) {
        cachedbookmeta = meta;
        document.title = meta.title + " - " + meta.author;

        $("#title").text(meta.title);
        $("#author").text(meta.author);
        $("#curcfi").text(localStorage.getItem("bookreader.book." + meta.bookid + ".curposcfi") || "Not set");
        $("#curpercent").text((String(localStorage.getItem("bookreader.book." + meta.bookid + ".curpercent") || 0)) + "% Read");
        $("#filename").text(meta.filename);
        $("#cover").attr("src", meta.coverurl);
        $("#description").html(meta.description);
    });
}
init()
